Bug 405935

Summary: Allow people to change the name used for their reviews
Product: [Applications] Discover Reporter: Nate Graham <nate>
Component: discoverAssignee: Dan Leinir Turthra Jensen <leinir>
Status: RESOLVED FIXED    
Severity: wishlist CC: 4wy78uwh, aleixpol
Priority: HI    
Version: 5.14.5   
Target Milestone: ---   
Platform: Other   
OS: Linux   
Latest Commit: Version Fixed In: 5.26

Description Nate Graham 2019-03-27 18:55:28 UTC
Right now it defaults to the name in their user account, which is a privacy violation in case they don't want to use their real name like that. We should make the name editable.
Comment 1 Bug Janitor Service 2022-08-28 21:14:26 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/discover/-/merge_requests/362
Comment 2 Aleix Pol 2022-08-31 16:19:14 UTC
Git commit ee3d6e9c912d901174a44fe96136583086cd6932 by Aleix Pol Gonzalez, on behalf of Bernardo Gomes Negri.
Committed on 31/08/2022 at 16:19.
Pushed by apol into branch 'master'.

Add option to change name in review dialog.

I only needed to change significantly the ODRS backend, since KNS appears to handle user names separately.

M  +7    -4    discover/qml/ReviewDialog.qml
M  +1    -1    discover/qml/ReviewsPage.qml
M  +30   -0    libdiscover/ReviewsBackend/AbstractReviewsBackend.cpp
M  +16   -5    libdiscover/ReviewsBackend/AbstractReviewsBackend.h
M  +2    -2    libdiscover/appstream/OdrsReviewsBackend.cpp
M  +8    -2    libdiscover/appstream/OdrsReviewsBackend.h
M  +2    -2    libdiscover/backends/DummyBackend/DummyReviewsBackend.cpp
M  +4    -1    libdiscover/backends/DummyBackend/DummyReviewsBackend.h
M  +1    -1    libdiscover/backends/KNSBackend/KNSReviews.cpp
M  +4    -2    libdiscover/backends/KNSBackend/KNSReviews.h

https://invent.kde.org/plasma/discover/commit/ee3d6e9c912d901174a44fe96136583086cd6932
Comment 3 Roke Julian Lockhart Beedell 2023-11-15 23:11:21 UTC
Is this still possible? I don't see any option to do so.